# Uses of Enum Class
net.shibboleth.shared.codec.StringDigester.OutputFormat

Packages that use StringDigester.OutputFormat
Package
Description
net.shibboleth.shared.codec
A set of helper functions for encoding/decoding data to/from different formats.
net.shibboleth.utilities.java.support.codec
Legacy API stub for compatibility.

## Uses of StringDigester.OutputFormat in net.shibboleth.shared.codec

Fields in net.shibboleth.shared.codec declared as StringDigester.OutputFormat
Modifier and Type
Field
Description
`private StringDigester.OutputFormat`
StringDigester.`outputFormat`
The output format instance used to determine how the digested byte[] is converted to the output String.
Methods in net.shibboleth.shared.codec that return StringDigester.OutputFormat
Modifier and Type
Method
Description
`static StringDigester.OutputFormat`
StringDigester.OutputFormat.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StringDigester.OutputFormat[]`
StringDigester.OutputFormat.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in net.shibboleth.shared.codec with parameters of type StringDigester.OutputFormat
Modifier
Constructor
Description
``
`StringDigester(String algorithm, StringDigester.OutputFormat format)`
Constructor.
``
`StringDigester(String algorithm, StringDigester.OutputFormat format, Charset charset)`
Constructor.

## Uses of StringDigester.OutputFormat in net.shibboleth.utilities.java.support.codec

Constructors in net.shibboleth.utilities.java.support.codec with parameters of type StringDigester.OutputFormat
Modifier
Constructor
Description
``
`StringDigester(String algorithm, StringDigester.OutputFormat format)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.
``
`StringDigester(String algorithm, StringDigester.OutputFormat format, Charset charset)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.